;************************************
;*		EEprom byte lesen			*
;************************************
;liest ein Byte aus Addresse eead in w ein zum CVregister lesen

eepromlesen:	
		sbic 	EECR,EEWE			; wird noch geschrieben ? EECR Bit1(EEWE)=1
        rjmp 	PC-1  		    	; dann Schleife
		out		EEARL,eead			; eeprom addresse low setzen bei kleinen eeprom eear bei groem eearl	
		sbi		EECR,EERE 			; Setze EEProm-Lesebefehl EECR Bit0(EERE)=1
		in		w,EEDR				; daten einlesen
		ret

;************************************
;*		EEprom byte schreiben		*
;************************************
;schreibt ein Byte aus w in Addresse eead zum CVregister schreiben

eepromschreiben:
		sbic 	EECR,EEWE			; wird noch geschrieben ? EECR Bit1(EEWE)=1
        rjmp 	PC-1  		    	; dann Schleife
		out		EEARL,eead			; Adresse setzen
		out		EEDR,w				; Daten setzen
        sbi 	EECR,EEMWE 			; Setze EEProm Master-Schreibbit 
        sbi 	EECR,EEWE		  	; Setze EEProm Schreib-Befehl
        ret							; Rcksprung
